ck2yaml(1)

NAME
ck2yaml - convert Chemkin-II-format mechanisms to Cantera YAML input files

SYNOPSIS
ck2yaml [--input=<filename>] [--thermo=<filename>] [--transport=<filename>] [--surface=<filename>] [--name=<name>] [--extra=<filename>] [--output=<filename>] [--permissive] [--quiet] [--no-validate] [-d | --debug]

DESCRIPTION
ck2yaml converts a Chemkin-II-format reaction mechanism file to Cantera input format. The resulting Cantera input file contains phase definitions, species definitions, and reaction definitions, depending on the inputs provided. The Cantera-format mechanism is written to the file named by output. The parameters are as follows:

--input=filename
    Chemkin-II gas-phase reaction mechanism file to be converted. This file contains the declarations of the elements and species, as well as the reactions (if any). It may also contain the thermodynamic and transport data.

--thermo=filename
    Thermodynamic property database. If the input file does not have a THERMO section, or does not have entries for one or more species, this file will be searched for the required thermo data. A YAML file containing only species definitions (which can be referenced from phase definitions in other input files) can be created by specifying a thermo file with no input file.

--transport=filename
    Transport property database. If this file name is supplied, transport property parameters will be taken from this file and included in the output Cantera-format file. If this parameter is omitted, and no TRANSPORT section was included in the main input file, no transport property parameters will be included in the output.

--surface=filename
    Surface phase definition. If this file name is supplied, an additional phase entry for a surface phase will be read from this file, and a reactions section will be created for any surface reactions defined in this file.

--name=name
    Optional identification string, used to set the name of the ideal-gas phase in the Cantera-format output. If this parameter is omitted, it will be set to gas.

--extra=filename
    This option takes a YAML file as input. It can be used to add to the file description, or to define custom fields that are included in the YAML output.

--output=filename
    If the output file name is not given, an output file will be created with the same name as the input file, with the extension changed to .yaml.

--permissive
    Allows certain recoverable parsing errors (such as duplicate transport data) to be ignored.

--quiet
    Disables all non-error output, for use in batch processing.

--no-validate
    Disables validation of the converted mechanism by importing it from the Cantera Python module.

-d | --debug
    Enables additional debugging output.

EXAMPLE
ck2yaml --input=chem.inp --thermo=therm.dat --transport=tran.dat